#include "pebblisp.h"

fn(startServer,
   "(serve) => 0\n"
   "Starts a simple web server with routes that have been added with (get) and (post).\n"
   "Returns 0 if the server was successfully started, otherwise 1.\n"
   "Note: This is a non-blocking call. It is recommended to wait for some input before exiting.\n"
   "  A simple way would be to use (inp) immediately after the (serve) call."
);

fn(addGetRoute,
   "Note: Implementation bugs currently prevent using an inline lambda.\n"
   "  (def homepage (fn () (\"Hello, world!\")));(get \"/\" homepage)\n"
   "  (def queryPage (fn (req) (req's queryParams)));(get \"/x\" queryPage)\n"
   "  (serve)\n"
);

fn(addPostRoute,
   "Note: Implementation bugs currently prevent using an inline lambda.\n"
   "  (def homepage (fn () (\"Hello, world!\")));(post \"/\" homepage)\n"
   "  (serve)\n"
);
